<?php

namespace App\Http\Controllers;
use App\Models\ContatoMessage;
use App\Models\MeioContato;
use Illuminate\Http\Request;

class FaleConoscoController extends Controller
{
    public function index()
    {
        // Buscar meios de contato no banco de dados
        $meiosContato = MeioContato::all();

        return view('fale_conosco', compact('meiosContato'));
    }
    public function showForm()
    {
        $meiosContato = [
            (object)[
                'icone' => 'logo-facebook',
                'tipo' => 'Facebook',
                'descricao' => 'facebook.com/empresa',
            ],
            (object)[
                'icone' => 'logo-instagram',
                'tipo' => 'Instagram',
                'descricao' => '@empresa',
            ],
            // Adicione mais meios de contato conforme necessário
        ];

        return view('fale_conosco', compact('meiosContato'));
    }

    // Método para armazenar as mensagens de contato
    public function store(Request $request)
    {
        // Validação dos dados
        $request->validate([
            'nome' => 'required|string|max:255',
            'email' => 'required|email|max:255',
            'telefone' => 'nullable|string|max:20',
            'mensagem' => 'required|string',
        ]);

        // Criação da nova mensagem de contato
        ContatoMessage::create([
            'nome' => $request->nome,
            'email' => $request->email,
            'telefone' => $request->telefone,
            'mensagem' => $request->mensagem,
        ]);

        // Retorno de sucesso
        return redirect()->route('fale_conosco.form')->with('success', 'Mensagem enviada com sucesso!');
    }
}