<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddImagesToProductsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('products', function (Blueprint $table) {
            $table->json('images')->nullable()->after('weight'); // Coluna para armazenar as URLs das imagens (em JSON)
            $table->string('main_image')->nullable()->after('images'); // Coluna para armazenar a URL da imagem principal
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('products', function (Blueprint $table) {
            $table->dropColumn('images'); // Remove a coluna 'images'
            $table->dropColumn('main_image'); // Remove a coluna 'main_image'
        });
    }
}