function downloadImage() {
    const imageUrl = document.getElementById('imgUrl').src;
    const nomeImagem = document.getElementById('nome').value;
    // Criar uma requisição para a imagem
    const xhr = new XMLHttpRequest();
    xhr.open('GET', imageUrl, true);
    xhr.responseType = 'blob';

    xhr.onload = function () {
        // Criar um link temporário
        const a = document.createElement('a');
        a.href = window.URL.createObjectURL(xhr.response);

        // Definir o nome do arquivo para download
        a.download = `${nomeImagem}.jpg`;

        // Simular um clique no link
        a.click();

        // Limpar o objeto URL criado para a imagem
        window.URL.revokeObjectURL(a.href);
    };

    // Enviar a requisição
    xhr.send();
}

function fetchAPI() {
    // Obtém o número de telefone do campo de entrada
    const telefoneInput = document.getElementById('telefone');
    const ntelefone = telefoneInput.value;
    const telefone = ntelefone.replace(/[()-]/g, ''); // Remove caracteres especiais

    if (telefone.length === 0) {
        // Se o telefone estiver vazio, ocultar a imagem e sair da função
        document.getElementById('imageContainer').innerHTML = '';
        return;
    }

    const instancia = "3D8F03FE0E3D90A1BBD146B568C22E5E";
    const token = "F3541EE49FD66194F074E214";
    const securityToken = "F754ea8fda65c4ae28963ee5a9ae2f6e0S";

    // Define a URL da API
    const apiUrl = `https://api.z-api.io/instances/${instancia}/token/${token}/profile-picture?phone=55${telefone}`;

    // Faz a requisição à API
    fetch(apiUrl, {
        method: "GET",
        headers: {
            "Client-token": securityToken,
            "Content-Type": "application/json"
        }
    })
    .then(response => {
        if (!response.ok) {
            throw new Error(`Erro na requisição: ${response.status} - ${response.statusText}`);
        }
        return response.json();
    })
    .then(data => {
        const imageUrl = data.link; // Assume que o campo no JSON que contém a URL é chamado de "link"

        // Exibe a imagem na página
        const imageContainer = document.getElementById('imageContainer');
        imageContainer.innerHTML = `<img id="imgUrl" src="${imageUrl}" alt="Imagem da API">`;

        // Adiciona classe à imagem e exibe botão de download
        const imgretorno = document.getElementById('imgUrl');
        imgretorno.classList.add('imgContainer');
        const downloadButton = document.getElementById('download-img');
        downloadButton.classList.remove('ocultar');
    })
    .catch(err => {
        console.error(err);
        // Caso ocorra um erro, também oculte a imagem
        document.getElementById('imageContainer').innerHTML = '';
    });
}
function BuscarImg() {
    //corrigirTelefone();

    // Carrega as informações do JSON
    fetch('./json/dadossistema.json')
        .then(response => response.json())
        .then(config => {
            const telefoneInput = document.getElementById('telefoneEditar');
            const ntelefone = telefoneInput.value;
            const telefone = ntelefone.replace(/[()-]/g, '');

            console.log(telefone);
            const instancia = "3D8F03FE0E3D90A1BBD146B568C22E5E";
    const token = "F3541EE49FD66194F074E214";
    const securityToken = "F754ea8fda65c4ae28963ee5a9ae2f6e0S";

            const apiUrl = `https://api.z-api.io/instances/${instancia}/token/${token}/profile-picture?phone=55${telefone}`;

            fetch(apiUrl, {
                method: "GET",
                headers: {
                    "Client-token": securityToken,
                    "Content-Type": "application/json"
                }
            })
                .then(response => {
                    if (!response.ok) {
                        throw new Error(`Erro na requisição: ${response.status} - ${response.statusText}`);
                    }
                    return response.json();
                })
                .then(data => {
                    const imageUrl = data.link; // Assume que o campo no JSON que contém a URL é chamado de "link"
                    console.log(imageUrl);
                    const imageContainer = document.getElementById('imageContainer');

                    imageContainer.innerHTML = `<img id="imgUrl" src="${imageUrl}" alt="Imagem da API">`;
                    const imgretorno = document.getElementById('imgUrl');
                    imgretorno.classList.add('imgContainer');
                    const downloadButton = document.getElementById('download-img');
                    downloadButton.classList.remove('ocultar');
                    //downloadImage();
                })
                .catch(err => {
                    console.error(err);
                });
        })
        .catch(error => {
            console.error('Erro ao carregar o JSON:', error);
        });
}

function incrementarCodigo() {
    // Obter o elemento do campo de código
    const codigoClienteInput = document.getElementById('codigo-cliente');

    // Obter o valor atual do campo de código
    let codigoAtual = codigoClienteInput.value;

    // Verificar se o valor é um número e não está vazio
    if (!isNaN(codigoAtual) && codigoAtual.trim() !== '') {
        // Converter o valor para um número e incrementar 1
        codigoAtual = parseInt(codigoAtual, 10) + 1;

        // Atribuir o novo valor ao campo de código
        codigoClienteInput.value = codigoAtual;
        verificarTelefone();
    } else {
        // Se o valor não for um número ou estiver vazio, exibir uma mensagem de erro ou tratar conforme necessário
        alert('O código do cliente deve ser um número válido.');
    }

}

function corrigirTelefone() {
    var telefone = document.getElementById('telefone-cli').value;
    // Verifica se o número começa com '9'
    if (telefone.charAt(0) === '9') {
        // Adiciona '32' na frente do número
        telefone = '32' + telefone;
    }
    // Verifica se o número começa com '0'
    if (telefone.charAt(0) === '0') {
        // Remove o '0'
        telefone = telefone.slice(1);
    }

    // Atualiza o valor no campo de entrada
    document.getElementById('telefone-cli').value = telefone;

    // Chama outras funções
}
