@extends('layouts.admin')

@section('content')
<div class="container">
    <h2>Gerenciar Meios de Contato</h2>
    <a href="{{ route('admin.meios_contato.create') }}" class="btn btn-primary mb-3">Adicionar Novo</a>

    @if(session('success'))
        <div class="alert alert-success">{{ session('success') }}</div>
    @endif

    <table class="table table-bordered">
        <thead>
            <tr>
                <th>Tipo</th>
                <th>Descrição</th>
                <th>Ícone</th>
                <th>Ordem</th>
                <th>Ações</th>
            </tr>
        </thead>
        <tbody>
            @forelse ($meiosContato as $contato)
                <tr>
                    <td>{{ $contato->tipo }}</td>
                    <td>{{ $contato->descricao }}</td>
                    <td><i class="fa {{ $contato->icone }}"></i></td>
                    <td>{{ $contato->ordem }}</td>
                    <td>
                        <a href="{{ route('admin.meios_contato.edit', $contato->id) }}" class="btn btn-sm btn-warning">Editar</a>
                        <form action="{{ route('admin.meios_contato.destroy', $contato->id) }}" method="POST" style="display:inline-block;">
                            @csrf
                            @method('DELETE')
                            <button type="submit" class="btn btn-sm btn-danger" onclick="return confirm('Tem certeza que deseja excluir?')">Excluir</button>
                        </form>
                    </td>
                </tr>
            @empty
                <tr>
                    <td colspan="5">Nenhum meio de contato encontrado.</td>
                </tr>
            @endforelse
        </tbody>
    </table>
</div>
@endsection
