@extends('layouts.main')

@section('content')
    <div class="container">
        <h1>Finalizar Compra</h1>

        <div class="container-finalizar">
            <form action="{{ route('cart.checkout.store') }}" method="POST">
                @csrf
                <!-- Dados de Endereço -->
                <h4>Dados do Pedido</h4>
                <div class="form-group">
                    <label for="order_code">Código</label>
                    <input type="text" name="order_code" id="order_code" class="form-control"
                        value="{{ request()->query('order_code') }}" placeholder="CEP" required>
                </div>
                <div class="form-group">
                    <input type="checkbox" id="use_registered_address" />
                    <label for="use_registered_address">Utilizar endereço do cadastro</label>
                </div>

                <h4>Endereço de Entrega</h4>
                <div class="aling-itens">

                    <div class="form-group">
                        <label for="postal_code">CEP</label>
                        <input type="text" name="postal_code" id="postal_code" class="form-control" placeholder="CEP"
                            required>
                    </div>

                    <div class="form-group">
                        <label for="address">Endereço</label>
                        <input type="text" name="address" id="address" class="form-control" placeholder="Endereço"
                            required>
                    </div>
                    <div class="form-group">
                        <label for="contact">Numero</label>
                        <input type="text" name="contact" id="contact" class="form-control" placeholder="N°" required>
                    </div>

                </div>
                <div class="aling-itens">
                    <div class="form-group">
                        <label for="city">Cidade</label>
                        <input type="text" name="city" id="city" class="form-control" placeholder="Cidade"
                            required>
                    </div>
                    <div class="form-group">
                        <label for="state">Estado</label>
                        <input type="text" name="state" id="state" class="form-control" placeholder="Estado"
                            required>
                    </div>
                    <div class="form-group">
                        <label for="phone_number">Número de Telefone</label>
                        <input type="text" name="phone_number" id="phone_number" class="form-control"
                            placeholder="Telefone" required>
                    </div>
                </div>
                <!-- Forma de Pagamento -->
                <h4>Forma de Pagamento</h4>
                <div class="form-group">
                    <label for="payment_method">Escolha uma forma de pagamento:</label>
                    <select name="payment_method" id="payment_method" class="form-control">
                        <option value="bank_account">Conta Bancária</option>
                        <option value="pix">Pix</option>
                    </select>
                </div>

                <!-- Campos para métodos de pagamento -->
                <div id="bank_account_details" class="mt-3" style="display:none;">
                    <h5>Escolha uma Conta Bancária</h5>
                    <select name="bank_account_id" class="form-control">
                        @foreach ($bankAccounts as $account)
                            <option value="{{ $account->id }}">
                                {{ $account->bank_name }} - {{ $account->account_number }} / {{ $account->agency }}
                            </option>
                        @endforeach
                    </select>
                </div>

                <div id="pix_details" class="mt-3" style="display:none;">
                    <h5>Escolha uma Chave Pix</h5>
                    <select name="pix_key_id" class="form-control">
                        @foreach ($pixKeys as $pix)
                            <option value="{{ $pix->id }}">{{ $pix->pix_key }}</option>
                        @endforeach
                    </select>
                </div>

                <button type="submit" class="btn btn-success mt-3">Finalizar Pedido</button>
            </form>
        </div>
    </div>

    <script>
        document.addEventListener('DOMContentLoaded', function() {
            document.getElementById('payment_method').addEventListener('change', function() {
                var method = this.value;
                if (method === 'bank_account') {
                    document.getElementById('bank_account_details').style.display = 'block';
                    document.getElementById('pix_details').style.display = 'none';
                } else if (method === 'pix') {
                    document.getElementById('pix_details').style.display = 'block';
                    document.getElementById('bank_account_details').style.display = 'none';
                }
            });
        });
        document.addEventListener('DOMContentLoaded', function() {
            const useRegisteredAddress = document.getElementById('use_registered_address');

            useRegisteredAddress.addEventListener('change', function() {
                if (this.checked) {
                    fetch('{{ route('user.address') }}', {
                            method: 'GET',
                            headers: {
                                'X-Requested-With': 'XMLHttpRequest',
                            },
                        })
                        .then(response => {
                            if (!response.ok) {
                                throw new Error(`Erro HTTP: ${response.status}`);
                            }
                            return response.json();
                        })
                        .then(data => {
                            if (data.error) {
                                alert('Erro: ' + data.error);
                                this.checked = false; // Desmarcar o checkbox em caso de erro
                            } else {
                                // Preenche os campos com os dados do cliente
                                document.getElementById('postal_code').value = data.postal_code || '';
                                document.getElementById('address').value = data.address || '';
                                document.getElementById('contact').value = data.contact || '';
                                document.getElementById('city').value = data.city || '';
                                document.getElementById('state').value = data.state || '';
                                document.getElementById('phone_number').value = data.phone_number || '';
                            }
                        })
                        .catch(error => {
                            alert('Erro ao buscar os dados do endereço: ' + error.message);
                            console.error(error);
                        });
                } else {
                    // Limpa os campos se o checkbox for desmarcado
                    document.getElementById('postal_code').value = '';
                    document.getElementById('address').value = '';
                    document.getElementById('contact').value = '';
                    document.getElementById('city').value = '';
                    document.getElementById('state').value = '';
                    document.getElementById('phone_number').value = '';
                }
            });
        });
    </script>
    <script>
        document.addEventListener('DOMContentLoaded', function() {
            document.getElementById('postal_code').addEventListener('blur', function() {
                var cep = this.value.replace(/\D/g, ''); // Remove qualquer caractere não numérico

                if (cep.length === 8) { // Verifica se o CEP tem 8 caracteres
                    var url = `https://viacep.com.br/ws/${cep}/json/`;

                    // Faz a requisição para a API ViaCEP
                    fetch(url)
                        .then(response => response.json())
                        .then(data => {
                            if (data.erro) {
                                alert('CEP não encontrado');
                            } else {
                                // Preenche os campos com os dados da API
                                document.getElementById('address').value = data.logradouro;
                                document.getElementById('city').value = data.localidade;
                                document.getElementById('state').value = data.uf;
                            }
                        })
                        .catch(error => {
                            alert('Erro ao buscar CEP');
                        });
                } else {
                    alert('Por favor, digite um CEP válido.');
                }
            });

            // Código para trocar entre os métodos de pagamento
            document.getElementById('payment_method').addEventListener('change', function() {
                var method = this.value;
                if (method === 'bank_account') {
                    document.getElementById('bank_account_details').style.display = 'block';
                    document.getElementById('pix_details').style.display = 'none';
                } else if (method === 'pix') {
                    document.getElementById('pix_details').style.display = 'block';
                    document.getElementById('bank_account_details').style.display = 'none';
                }
            });
        });
    </script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.16/jquery.mask.min.js"></script>
    <script>
        $(document).ready(function() {
            // Máscara para CEP (formato: 00000-000)
            $('#postal_code').mask('00000-000');

            // Máscara para Telefone com DDD (formato: (00) 00000-0000)
            $('#phone_number').mask('(00) 00000-0000');

            // Exibir os campos conforme a forma de pagamento selecionada
            $('#payment_method').on('change', function() {
                if (this.value === 'bank_account') {
                    $('#bank_account_details').show();
                    $('#pix_details').hide();
                } else if (this.value === 'pix') {
                    $('#pix_details').show();
                    $('#bank_account_details').hide();
                } else {
                    $('#bank_account_details, #pix_details').hide();
                }
            });
        });
    </script>
@endsection
