<style>
    /* Modal */
    .custom-modal {
        display: none;
        /* Modal inicialmente escondida */
        position: fixed;
        z-index: 1050;
        /* Valor alto para garantir que a modal apareça acima de outros elementos */
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, 0.5);
        /* Fundo semitransparente */
        padding-top: 60px;
        /* Espaçamento superior */
    }

    /* Caixa de conteúdo da Modal */
    .custom-modal-dialog {
        margin: auto;
        max-width: 600px;
        /* Largura máxima da modal */
        background-color: #fff;
        border-radius: 8px;
        z-index: 1060;
        /* Coloca o conteúdo da modal acima do fundo */
    }

    /* Conteúdo da Modal */
    .custom-modal-content {
        padding: 20px;
        border-radius: 8px;
    }

    /* Cabeçalho da Modal */
    .custom-modal-header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        border-bottom: 1px solid #ddd;
        padding-bottom: 10px;
    }

    /* Título do Cabeçalho */
    .custom-modal-title {
        font-size: 18px;
        font-weight: bold;
    }

    /* Botão de Fechar */
    .custom-close-btn {
        font-size: 20px;
        color: #aaa;
        cursor: pointer;
        background: none;
        border: none;
    }

    /* Efeito de hover no botão de fechar */
    .custom-close-btn:hover {
        color: #333;
    }

    /* Corpo da Modal */
    .custom-modal-body {
        padding: 15px 0;
    }

    /* Rodapé da Modal */
    .custom-modal-footer {
        display: flex;
        justify-content: flex-end;
        margin-top: 15px;
        border-top: 1px solid #ddd;
        padding-top: 10px;
    }

    /* Botão de salvar */
    .custom-btn-save {
        background-color: #28a745;
        color: white;
        padding: 8px 16px;
        border: none;
        border-radius: 5px;
        cursor: pointer;
    }

    /* Efeito de hover no botão de salvar */
    .custom-btn-save:hover {
        background-color: #218838;
    }

    /* Estilo para o formulário dentro da modal */
    .custom-form-group {
        margin-bottom: 1rem;
    }

    .custom-form-label {
        display: block;
        font-weight: bold;
    }

    .custom-form-control {
        width: 100%;
        padding: 8px;
        margin-top: 8px;
        border-radius: 5px;
        border: 1px solid #ccc;
    }

    /* Efeito de foco nos campos do formulário */
    .custom-form-control:focus {
        border-color: #007bff;
        outline: none;
    }

    /* Modal visível (aparece ao definir display: block) */
    .custom-modal.show {
        display: block;
    }

    /* Modal backdrop */
    .custom-modal-backdrop {
        position: fixed;
        top: 0;
        left: 0;
        z-index: 1040;
        /* Coloca o backdrop abaixo da modal */
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, 0.5);
    }
</style>
