@extends('layouts.main')

@section('content')
    <div class="container mt-4">
        <h2>Gerenciar Promoções</h2>

        @if (session('success'))
            <div class="alert alert-success">
                {{ session('success') }}
            </div>
        @endif

        <table class="table table-bordered">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>Nome</th>
                    <th>Preço</th>
                    <th>Promoção</th>
                    <th>Desconto (%)</th>
                    <th>Ações</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($products as $product)
                    <tr>
                        <td>{{ $product->id_product }}</td>
                        <td>{{ $product->name }}</td>
                        <td>R$ {{ number_format($product->price, 2, ',', '.') }}</td>
                        <td>{{ $product->is_promotion ? 'Sim' : 'Não' }}</td>
                        <td>{{ $product->discount_percentage ?? 'N/A' }}</td>
                        <td>
                            <!-- Formulário para editar promoções -->
                            <form action="{{ route('promocao.atualizar') }}" method="POST" class="d-inline">
                                @csrf
                                <input type="hidden" name="id_product" value="{{ $product->id_product }}">

                                <div class="form-check form-switch">
                                    <!-- Campo oculto para garantir que o valor 0 seja enviado quando o checkbox for desmarcado -->
                                    <input type="hidden" name="is_promotion" value="0">
                                    <input class="form-check-input" type="checkbox" name="is_promotion" value="1"
                                        {{ $product->is_promotion ? 'checked' : '' }}>
                                </div>
                                <div class="mt-2">
                                    <input type="number" name="discount_percentage" class="form-control"
                                        value="{{ $product->discount_percentage }}" placeholder="Desconto (%)">
                                </div>
                                <button type="submit" class="btn btn-primary btn-sm mt-2">Atualizar</button>
                            </form>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>
    </div>
@endsection
