<?php $__env->startSection('content'); ?>
    <div class="container-areaCliente">
        <h1>Dashboard - Gerenciar Pedidos</h1>

        <table class="table table-bordered">
            <thead>
                <tr>
                    <th>#</th>
                    <th>Pedido</th>
                    <th>Endereço</th>
                    <th>Cliente</th>
                    <th>Status</th>
                    <th>Mudar Status</th>
                    <th>Mudar Usuário</th>
                    <th>Ações</th>
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $checkouts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $checkout): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e($checkout->id); ?></td>
                        <td><?php echo e($checkout->order_code); ?></td>
                        <td><?php echo e($checkout->address); ?></td>
                        <td><?php echo e($checkout->user_name); ?></td> <!-- Nome do usuário -->
                        <td><?php echo e(ucfirst(str_replace('_', ' ', $checkout->status))); ?></td>
                        <td>
                            <form action="<?php echo e(route('admin.updateStatus', $checkout->id)); ?>" method="POST"
                                id="status-form-<?php echo e($checkout->id); ?>">
                                <?php echo csrf_field(); ?>
                                <?php echo method_field('PUT'); ?>
                                <select name="status" class="form-control status-select" data-id="<?php echo e($checkout->id); ?>">
                                    <option value="cancelado" <?php echo e($checkout->status == 'cancelado' ? 'selected' : ''); ?>>
                                        Cancelado</option>
                                    <option value="preparando_para_envio"
                                        <?php echo e($checkout->status == 'preparando_para_envio' ? 'selected' : ''); ?>>
                                        Preparando para Envio
                                    </option>
                                    <option value="postado_no_correios"
                                        <?php echo e($checkout->status == 'postado_no_correios' ? 'selected' : ''); ?>>
                                        Postado no Correios
                                    </option>
                                    <option value="recebido" <?php echo e($checkout->status == 'recebido' ? 'selected' : ''); ?>>
                                        Recebido</option>
                                    <option value="aguardando_pagamento"
                                        <?php echo e($checkout->status == 'aguardando_pagamento' ? 'selected' : ''); ?>>
                                        Aguardando Pagamento
                                    </option>
                                </select>
                                <!-- Campo para o código dos Correios -->
                                <div id="correios-field-<?php echo e($checkout->id); ?>" class="mt-2" style="display: none;">
                                    <label for="tracking_code_<?php echo e($checkout->id); ?>">Código dos Correios:</label>
                                    <input type="text" name="tracking_code" id="tracking_code_<?php echo e($checkout->id); ?>"
                                        class="form-control" placeholder="Digite o código dos Correios"
                                        value="<?php echo e($checkout->tracking_code); ?>">
                                </div>

                                <button type="submit" class="btn btn-primary mt-2">Alterar Status</button>
                            </form>
                        </td>

                        <td>
                            <form action="<?php echo e(route('admin.updateUser', $checkout->id)); ?>" method="POST">
                                <?php echo csrf_field(); ?>
                                <?php echo method_field('PUT'); ?>
                                <select name="user_id" class="form-control">
                                    <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($user->id); ?>"
                                            <?php echo e($checkout->user_id == $user->id ? 'selected' : ''); ?>><?php echo e($user->name); ?>

                                        </option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <button type="submit" class="btn btn-warning mt-2">Alterar Usuário</button>
                            </form>
                        </td>
                        <td>
                            <form action="<?php echo e(route('admin.updateOrderValue', $checkout->id)); ?>" method="POST">
                                <?php echo csrf_field(); ?>
                                <?php echo method_field('PUT'); ?>
                                <label for="total">Total do Pedido:</label>
                                <input type="number" step="0.01" name="total" id="total"
                                    value="<?php echo e($checkout->total); ?>" class="form-control" required>
                                <button type="submit" class="btn btn-primary mt-2">Atualizar Total</button>
                            </form>
                            <script>
                                document.querySelector('form').addEventListener('submit', function(event) {
                                    const totalInput = document.querySelector('input[name="total"]');
                                    const totalValue = parseFloat(totalInput.value);

                                    if (isNaN(totalValue) || totalValue < 0) {
                                        event.preventDefault();
                                        alert('Por favor, insira um valor numérico válido para o total do pedido.');
                                    }
                                });
                            </script>
                        </td>
                    </tr>
                    <script>
                        document.addEventListener('DOMContentLoaded', function() {
                            const statusSelects = document.querySelectorAll('.status-select');

                            statusSelects.forEach(select => {
                                select.addEventListener('change', function() {
                                    const id = this.getAttribute('data-id');
                                    const correiosField = document.getElementById(`correios-field-${id}`);

                                    if (this.value === 'postado_no_correios') {
                                        correiosField.style.display = 'block';
                                    } else {
                                        correiosField.style.display = 'none';
                                    }
                                });

                                // Garantir que o campo seja exibido ao carregar a página se "postado_no_correios" estiver selecionado
                                const id = select.getAttribute('data-id');
                                const correiosField = document.getElementById(`correios-field-${id}`);
                                if (select.value === 'postado_no_correios') {
                                    correiosField.style.display = 'block';
                                }
                            });
                        });
                    </script>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>


    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\wamp64\www\ecommerce\resources\views/admin/dashboard.blade.php ENDPATH**/ ?>