<style>
    /* Estilos da Modal */
    .modal {
        display: none;
        /* Modal inicialmente escondida */
        position: fixed;
        z-index: 1050;
        /* Valor alto para garantir que a modal apareça acima de outros elementos */
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, 0.5);
        /* Fundo semitransparente */
        padding-top: 60px;
        /* Espaçamento superior */
    }

    /* Caixa de conteúdo da Modal */
    .modal-dialog {
        margin: auto;
        max-width: 600px;
        /* Largura máxima da modal */
        background-color: #fff;
        border-radius: 8px;
        z-index: 1060;
        /* Coloca o conteúdo da modal acima do fundo */
    }

    /* Conteúdo da Modal */
    .modal-content {
        padding: 20px;
        border-radius: 8px;
    }

    /* Cabeçalho da Modal */
    .modal-header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        border-bottom: 1px solid #ddd;
        padding-bottom: 10px;
    }

    /* Título do Cabeçalho */
    .modal-title {
        font-size: 18px;
        font-weight: bold;
    }

    /* Botão de Fechar */
    .btn-close {
        font-size: 20px;
        color: #aaa;
        cursor: pointer;
        background: none;
        border: none;
    }

    /* Efeito de hover no botão de fechar */
    .btn-close:hover {
        color: #333;
    }

    /* Corpo da Modal */
    .modal-body {
        padding: 15px 0;
    }

    /* Rodapé da Modal */
    .modal-footer {
        display: flex;
        justify-content: flex-end;
        margin-top: 15px;
        border-top: 1px solid #ddd;
        padding-top: 10px;
    }

    /* Botão de salvar */
    .btn-success {
        background-color: #28a745;
        color: white;
        padding: 8px 16px;
        border: none;
        border-radius: 5px;
        cursor: pointer;
    }

    /* Efeito de hover no botão de salvar */
    .btn-success:hover {
        background-color: #218838;
    }

    /* Estilo para o formulário dentro da modal */
    .form-control {
        width: 100%;
        padding: 8px;
        margin-top: 8px;
        border-radius: 5px;
        border: 1px solid #ccc;
    }

    /* Efeito de foco nos campos do formulário */
    .form-control:focus {
        border-color: #007bff;
        outline: none;
    }

    /* Estilo do select */
    select.form-control {
        appearance: none;
        -webkit-appearance: none;
        -moz-appearance: none;
    }

    /* Modal visível (aparece ao definir display: block) */
    .modal.show {
        display: block;
    }

    /* Modal backdrop */
    .modal-backdrop {
        position: fixed;
        top: 0;
        left: 0;
        z-index: 1040;
        /* Coloca o backdrop abaixo da modal */
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, 0.5);
    }
</style>
<?php $__env->startSection('content'); ?>
    <div class="container-areaCliente">
        <h1>Área do Cliente</h1>
        <div class="row">
            <!-- Lista de Pedidos -->
            <div class="col-md-6">
                <h2>Lista de Pedidos</h2>
                <table class="table table-striped table-bordered">
                    <thead class="thead-dark">
                        <tr>
                            <th>Código</th>
                            <th>Status</th>
                            <th>Total</th>
                            <th>Data</th>
                            <th>Ações</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $checkouts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($order->order_code); ?></td>
                                <td><?php echo e($orderStatuses[$order->status] ?? 'Desconhecido'); ?>

                                    <?php if($order->status === 'postado_no_correios' && $order->tracking_code): ?>
                                        <div>
                                            <p>Código de Rastreamento: <strong><?php echo e($order->tracking_code); ?></strong></p>

                                        </div>
                                    <?php endif; ?>
                                </td>
                                <td>R$ <?php echo e(number_format($order->total, 2, ',', '.')); ?></td>
                                <td><?php echo e(\Carbon\Carbon::parse($order->created_at)->format('d/m/Y')); ?></td>

                                <td>

                                    <div class="btn-group me-2" role="group" aria-label="First group">
                                        <!-- Botão para detalhes -->
                                        <button type="button" class="btn btn-primary" data-bs-toggle="modal"
                                            data-bs-target="#detailsModal-<?php echo e($order->id); ?>">
                                            Ver Detalhes
                                        </button>
                                        <button type="button" class="btn btn-success" data-bs-toggle="modal"
                                            data-bs-target="#correiosModal-<?php echo e($order->id); ?>">
                                            Dados Correios
                                        </button>
                                        <!-- Botão para alterar status -->
                                        <?php if(Auth::check()): ?>
                                            <?php
                                                $usuarioAutenticado = Auth::user(); // Obtém o usuário autenticado
                                            ?>
                                            <?php if($usuarioAutenticado->role == 'admin'): ?>
                                                <button type="button" class="btn btn-secondary" data-bs-toggle="modal"
                                                    data-bs-target="#editStatusModal-<?php echo e($order->id); ?>">
                                                    Alterar Status
                                                </button>
                                            <?php endif; ?>
                                        <?php endif; ?>
                                        <button class="btn btn-warning view-items"
                                            data-order-code="<?php echo e($order->order_code); ?>"
                                            data-order-total="<?php echo e($order->total); ?>">
                                            Itens
                                        </button>
                                    </div>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>

            <!-- Itens do Pedido -->
            <div class="col-md-6">
                <h2>Itens do Pedido</h2>
                <div id="order-items">
                    <p>Selecione um pedido para ver os itens.</p>
                </div>
            </div>
        </div>
    </div>

    <!-- Modais -->
    <?php $__currentLoopData = $checkouts; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $order): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <!-- Modal de Detalhes -->
        <div id="detailsModal-<?php echo e($order->id); ?>" class="modal" style="display: none;">

            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="detailsModalLabel">Detalhes do Pedido</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <p><strong>Cidade:</strong> <?php echo e($order->city); ?></p>
                        <p><strong>Endereço:</strong> <?php echo e($order->address); ?>,<?php echo e($order->contact); ?></p>
                        <p><strong>Bairro:</strong> <?php echo e($order->postal_code); ?></p>
                        <p><strong>Estado:</strong> <?php echo e($order->state); ?></p>
                        <p><strong>Telefone:</strong> <?php echo e($order->phone_number); ?></p>
                        <hr>
                        <p><strong>Codigo Postagem:</strong><?php echo e($order->tracking_code); ?></p>

                    </div>
                </div>
            </div>
        </div>
        <!-- Modal de correios -->
        <div id="correiosModal-<?php echo e($order->id); ?>" class="modal" style="display: none;">

            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="correiosModalLabel">Detalhes do Rastreio</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <p><strong>Codigo Postagem:</strong><?php echo e($order->tracking_code); ?></p>
                        <hr>
                        <p><strong class="tracking_code"><?php echo e($order->tracking_code); ?></strong></p>
                        <hr>
                        <?php if($order->status === 'postado_no_correios' && $order->tracking_code): ?>
                            <div>

                                <a href="https://rastreamento.correios.com.br/app/index.php/<?php echo e($order->tracking_code); ?>"
                                    class="btn btn-primary" target="_blank">
                                    Rastrear no Correios
                                </a>
                            </div>
                        <?php endif; ?>

                    </div>
                </div>
            </div>
        </div>
        <!-- Modal de Alteração de Status -->
        <div id="editStatusModal-<?php echo e($order->id); ?>" class="modal" style="display: none;">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="editStatusModalLabel">Alterar Status</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <div class="modal-body">
                        <form action="<?php echo e(route('cart.updateStatus', $order->id)); ?>" method="POST">
                            <?php echo csrf_field(); ?>
                            <?php echo method_field('PUT'); ?>
                            <div class="mb-3">
                                <label for="status-<?php echo e($order->id); ?>" class="form-label">Status:</label>
                                <select name="status" id="status-<?php echo e($order->id); ?>" class="form-control status-select"
                                    required>
                                    <option value="cancelado" <?php echo e($order->status == 'cancelado' ? 'selected' : ''); ?>>
                                        Cancelado</option>
                                    <option value="preparando_para_envio"
                                        <?php echo e($order->status == 'preparando_para_envio' ? 'selected' : ''); ?>>Preparando para
                                        Envio</option>
                                    <option value="postado_no_correios"
                                        <?php echo e($order->status == 'postado_no_correios' ? 'selected' : ''); ?>>Postado no Correios
                                    </option>
                                    <option value="recebido" <?php echo e($order->status == 'recebido' ? 'selected' : ''); ?>>Recebido
                                    </option>
                                    <option value="aguardando_pagamento"
                                        <?php echo e($order->status == 'aguardando_pagamento' ? 'selected' : ''); ?>>Aguardando
                                        Pagamento</option>
                                    <option value="Finalizado" <?php echo e($order->status == 'Finalizado' ? 'selected' : ''); ?>>
                                        Finalizado</option>
                                </select>
                            </div>
                            <!-- Campo do código de rastreio -->
                            <div class="mb-3 d-none" id="tracking-code-container-<?php echo e($order->id); ?>">
                                <label for="tracking-code-<?php echo e($order->id); ?>" class="form-label">Código de
                                    Rastreamento:</label>
                                <input type="text" name="tracking_code" id="tracking-code-<?php echo e($order->id); ?>"
                                    class="form-control" placeholder="Digite o código de rastreamento">
                            </div>
                            <button type="submit" class="btn btn-success">Salvar</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>

        <script>
            document.addEventListener("DOMContentLoaded", function() {
                const statusSelect = document.getElementById("status-<?php echo e($order->id); ?>");
                const trackingCodeContainer = document.getElementById("tracking-code-container-<?php echo e($order->id); ?>");

                statusSelect.addEventListener("change", function() {
                    if (this.value === "postado_no_correios") {
                        trackingCodeContainer.classList.remove("d-none");
                    } else {
                        trackingCodeContainer.classList.add("d-none");
                    }
                });

                // Trigger the change event on page load to ensure the correct state
                statusSelect.dispatchEvent(new Event("change"));
            });
        </script>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    <script>
        document.addEventListener('DOMContentLoaded', function() {
            const modals = document.querySelectorAll('.modal');
            modals.forEach(modal => {
                const statusSelect = modal.querySelector('.status-select');
                const trackingCodeContainer = modal.querySelector(
                    `#tracking-code-container-${statusSelect.id.split('-')[1]}`);

                statusSelect.addEventListener('change', function() {
                    if (this.value === 'postado_no_correios') {
                        trackingCodeContainer.classList.remove('d-none');
                    } else {
                        trackingCodeContainer.classList.add('d-none');
                    }
                });

                // Mostra o campo caso a página seja recarregada e o status já esteja selecionado
                if (statusSelect.value === 'postado_no_correios') {
                    trackingCodeContainer.classList.remove('d-none');
                }
            });
        });
    </script>

    <script>
        // Quando a modal for aberta
        document.getElementById('openModalBtn-<?php echo e($order->id); ?>').addEventListener('click', function() {
            var modal = new bootstrap.Modal(document.getElementById('detailsModal-<?php echo e($order->id); ?>'));
            var backdrop = document.querySelector('.modal-backdrop');

            // Adiciona a classe personalizada ao fundo da modal
            if (backdrop) {
                backdrop.classList.add('custom-modal-backdrop');
            }

            modal.show();
        });
        // Função para abrir a modal
        function openModal(modalId) {
            document.getElementById(modalId).style.display = "block";
        }

        // Função para fechar a modal
        function closeModal(modalId) {
            document.getElementById(modalId).style.display = "none";
        }

        // Função para fechar a modal ao clicar fora dela
        window.onclick = function(event) {
            var modals = document.querySelectorAll('.modal');
            modals.forEach(function(modal) {
                if (event.target == modal) {
                    modal.style.display = "none";
                }
            });
        }

        // Fechar modal ao clicar no botão de fechar (botão com a classe .btn-close)
        var closeButtons = document.querySelectorAll('.btn-close');
        closeButtons.forEach(function(button) {
            button.onclick = function() {
                var modal = button.closest('.modal');
                modal.style.display = "none";
            };
        });
    </script>
    <?php if(Auth::check()): ?>
        <?php
            $usuarioAutenticado = Auth::user(); // Obtém o usuário autenticado
        ?>
    <?php endif; ?>

    <script>
        // Passa a variável `isAdmin` para o JavaScript
        const isAdmin = <?php echo json_encode(Auth::check() && Auth::user()->role === 'admin', 15, 512) ?>;
    </script>

    <script>
        document.addEventListener('DOMContentLoaded', function() {
            const viewButtons = document.querySelectorAll('.view-items');
            const orderItemsContainer = document.getElementById('order-items');

            viewButtons.forEach(button => {
                button.addEventListener('click', function() {
                    const orderCode = this.getAttribute('data-order-code');
                    const orderTotal = parseFloat(this.getAttribute('data-order-total')) ||
                        0; // Total do pedido
                    console.log('Carregando itens para o pedido:', orderCode);

                    // Exibe uma mensagem de carregamento
                    orderItemsContainer.innerHTML = '<p>Carregando itens...</p>';

                    // Faz a requisição AJAX
                    fetch(`/orders/${orderCode}/items`)
                        .then(response => response.json())
                        .then(items => {
                            if (items.length > 0) {
                                let table = `
                                <table class="table table-bordered">
                                    <thead>
                                        <tr>
                                            <th>Produto</th>
                                            <th>Quantidade</th>
                                            <th>Preço Unitário</th>
                                            <th>Total</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                            `;

                                let calculatedTotal = 0;

                                items.forEach(item => {
                                    const name = item.name || (item.product ? item
                                        .product.name : 'Produto não encontrado');
                                    const price = parseFloat(item.price) || 0;
                                    const total = price * item.quantity;

                                    calculatedTotal += total;

                                    table += `
                                    <tr>
                                        <td>${name}</td>
                                        <td>${item.quantity}</td>
                                        <td>R$ ${price.toFixed(2).replace('.', ',')}</td>
                                        <td>R$ ${total.toFixed(2).replace('.', ',')}</td>
                                    </tr>
                                `;
                                });

                                table += `
                                    </tbody>
                                </table>
                                <p><strong>Total calculado:</strong> R$ ${calculatedTotal.toFixed(2).replace('.', ',')}</p>
                            `;

                                // Verifica se o total calculado é diferente do total do pedido
                                if (calculatedTotal.toFixed(2) !== orderTotal.toFixed(2)) {
                                    if (isAdmin) { // Verifica se o usuário é administrador
                                        table += `
                                       <form id="update-total-form" action="/update-order-total" method="POST">
                <input type="hidden" name="_token" value="${csrfToken}"> <!-- Token CSRF -->
                <input type="hidden" name="order_code" value="${orderCode}"> <!-- Código do pedido -->
                <input type="hidden" name="calculated_total" value="${calculatedTotal.toFixed(2)}"> <!-- Total calculado -->
                <button type="submit" id="update-total" class="btn btn-primary">
                    Atualizar Total do Pedido
                </button>
            </form>
                                    `;
                                    } else {
                                        table += `
                                        <p><strong>Aviso:</strong> Você não tem permissão para atualizar o total do pedido.</p>
                                    `;
                                    }
                                }

                                orderItemsContainer.innerHTML = table;
                            } else {
                                orderItemsContainer.innerHTML =
                                    '<p>Não há itens neste pedido.</p>';
                            }
                        })
                        .catch(error => {
                            console.error('Erro ao buscar itens:', error);
                            orderItemsContainer.innerHTML = '<p>Erro ao carregar itens.</p>';
                        });
                });
            });
        });
    </script>


    <script>
        document.getElementById('status').addEventListener('change', function() {
            const codigoPostagem = document.getElementById('codigo_postagem');
            if (this.value === 'postado_no_correios') {
                codigoPostagem.style.display = 'block';
            } else {
                codigoPostagem.style.display = 'none';
            }
        });
        document.getElementById('openModalBtn-<?php echo e($order->id); ?>').addEventListener('click', function() {
            var modal = new bootstrap.Modal(document.getElementById('detailsModal-<?php echo e($order->id); ?>'));
            var backdrop = document.querySelector('.modal-backdrop');

            // Adiciona a classe personalizada
            if (backdrop) {
                backdrop.classList.add('custom-modal-backdrop');
            }

            modal.show();
        });

        // Quando a modal for fechada, remove a classe personalizada do backdrop
        document.querySelector('.modal').addEventListener('hidden.bs.modal', function() {
            var backdrop = document.querySelector('.modal-backdrop');
            if (backdrop) {
                backdrop.classList.remove('custom-modal-backdrop');
            }
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\wamp64\www\ecommerce\resources\views/client/area.blade.php ENDPATH**/ ?>