<?php $__env->startSection('content'); ?>
    <div class="container mt-4">
        <h2>Gerenciar Promoções</h2>

        <?php if(session('success')): ?>
            <div class="alert alert-success">
                <?php echo e(session('success')); ?>

            </div>
        <?php endif; ?>

        <table class="table table-bordered">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>Nome</th>
                    <th>Preço</th>
                    <th>Promoção</th>
                    <th>Desconto (%)</th>
                    <th>Ações</th>
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $product): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e($product->id_product); ?></td>
                        <td><?php echo e($product->name); ?></td>
                        <td>R$ <?php echo e(number_format($product->price, 2, ',', '.')); ?></td>
                        <td><?php echo e($product->is_promotion ? 'Sim' : 'Não'); ?></td>
                        <td><?php echo e($product->discount_percentage ?? 'N/A'); ?></td>
                        <td>
                            <!-- Formulário para editar promoções -->
                            <form action="<?php echo e(route('promocao.atualizar')); ?>" method="POST" class="d-inline">
                                <?php echo csrf_field(); ?>
                                <input type="hidden" name="id_product" value="<?php echo e($product->id_product); ?>">

                                <div class="form-check form-switch">
                                    <!-- Campo oculto para garantir que o valor 0 seja enviado quando o checkbox for desmarcado -->
                                    <input type="hidden" name="is_promotion" value="0">
                                    <input class="form-check-input" type="checkbox" name="is_promotion" value="1"
                                        <?php echo e($product->is_promotion ? 'checked' : ''); ?>>
                                </div>
                                <div class="mt-2">
                                    <input type="number" name="discount_percentage" class="form-control"
                                        value="<?php echo e($product->discount_percentage); ?>" placeholder="Desconto (%)">
                                </div>
                                <button type="submit" class="btn btn-primary btn-sm mt-2">Atualizar</button>
                            </form>
                        </td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\wamp64\www\ecommerce\resources\views/promocao.blade.php ENDPATH**/ ?>