<?php $__env->startSection('content'); ?>
    <div class="container">
        <div class="container-edit-produto">
            <h1 class="title-pag">Editar Produto</h1>

            <form action="<?php echo e(route('itens_venda.update', $product->id_product)); ?>" method="POST"
                enctype="multipart/form-data">
                <?php echo csrf_field(); ?>
                <?php echo method_field('PUT'); ?>
                <div class="aling-itens">
                    <div class="form-group">
                        <label for="name">Nome</label>
                        <input type="text" name="name" id="name" class="form-control" value="<?php echo e($product->name); ?>"
                            required>
                    </div>
                    <div class="form-group">
                        <label for="price">Preço</label>
                        <input type="number" name="price" id="price" class="form-control"
                            value="<?php echo e($product->price); ?>" required>
                    </div>
                    <div class="form-group">
                        <label for="category">Categoria</label>
                        <input type="text" name="category" id="category" class="form-control"
                            value="<?php echo e($product->category); ?>">
                    </div>
                </div>
                <div class="form-group">
                    <label for="description">Descrição</label>
                    <textarea name="description" id="description" class="form-control" required><?php echo e($product->description); ?></textarea>
                </div>
                <div class="aling-itens">
                    <div class="form-group">
                        <label for="fragrance">Fragrância</label>
                        <input type="text" name="fragrance" id="fragrance" class="form-control"
                            value="<?php echo e($product->fragrance); ?>">
                    </div>

                    <div class="form-group">
                        <label for="burn_time">Tempo de Queima</label>
                        <input type="text" name="burn_time" id="burn_time" class="form-control"
                            value="<?php echo e($product->burn_time); ?>">
                    </div>

                    <div class="form-group">
                        <label for="weight">Peso</label>
                        <input type="text" name="weight" id="weight" class="form-control"
                            value="<?php echo e($product->weight); ?>">
                    </div>
                </div>
                <!-- Mostrar Imagem Atual -->
                <div class="aling-itens">
                    <div class="form-group">
                        <label>Imagem Atual</label>
                        <div>
                            <img src="<?php echo e(asset($product->image)); ?>" alt="Imagem Atual" id="current-image"
                                style="max-width: 200px; max-height: 200px; border: 1px solid #ddd;">
                        </div>
                    </div>
                    <div class="form-group">
                        <label>Pré-visualização da Nova Imagem</label>
                        <div>
                            <img id="preview-image" src="#" alt="Pré-visualização"
                                style="max-width: 200px; max-height: 200px; border: 1px solid #ddd; display: none;">
                        </div>
                    </div>
                    <!-- Input de Nova Imagem -->
                    <div class="form-group">
                        <label for="image">Nova Imagem</label>
                        <input type="file" name="image" id="image" class="form-control" accept="image/*">
                    </div>

                    <!-- Pré-visualização da Nova Imagem -->

                </div>
                <div class="aling-itens">
                    <button type="submit" class="btn btn-success btn-sm" style="width: 250px">Atualizar Produto</button>
                    <a href="<?php echo e(route('itens_vendas.index')); ?>" style="width: 250px"
                        class="btn btn-warning btn-sm">Voltar</a>
                </div>
            </form>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>
    <script>
        document.getElementById('image').addEventListener('change', function(event) {
            const file = event.target.files[0];
            const preview = document.getElementById('preview-image');

            if (file) {
                const reader = new FileReader();

                reader.onload = function(e) {
                    preview.src = e.target.result;
                    preview.style.display = 'block';
                };

                reader.readAsDataURL(file);
            } else {
                preview.src = '#';
                preview.style.display = 'none';
            }
        });
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.main', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\wamp64\www\ecommerce\resources\views/itens_venda/edit.blade.php ENDPATH**/ ?>