<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <?php echo app('Illuminate\Foundation\Vite')(['resources/sass/app.scss', 'resources/js/app.js']); ?>
    <title><?php echo $__env->yieldContent('title', 'Sistema de Gestão'); ?></title>
    ;
    <script src="https://unpkg.com/ionicons@4.5.10-0/dist/ionicons.js"></script>
</head>


<body>
    <nav class="navbar navbar-expand-lg" style="background: rgb(232 179 137)">
        <div class="container-navbar">
            <div class="d-flex justify-content-between w-100">
                <div class="d-flex align-items-center">
                    <!-- Exibe o nome do usuário logado à esquerda -->
                    <?php if(Auth::check()): ?>
                        <span class="navbar-text me-3">Bem-vindo, <?php echo e(Auth::user()->name); ?></span>
                    <?php endif; ?>
                </div>

                <!-- Logo centralizado -->
                <a class="navbar-brand mx-auto" href="#"><img src="/img/vela.png" class="img-logo"
                        alt="">Velas
                    Aromáticas</a>

                <!-- Toggle Button for Mobile -->
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav"
                    aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
            </div>

            <!-- Navbar Links -->
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav mx-auto" style="list-style: none;"> <!-- Remove os pontos da lista -->
                    <li class="nav-item">
                        <a class="btn text-bg-warning me-2 <?php echo e(request()->routeIs('dashboard') ? 'active' : ''); ?>"
                            href="<?php echo e(route('dashboard')); ?>">Home</a>
                    </li>

                    <li class="nav-item">
                        <a class="btn text-bg-warning <?php echo e(request()->routeIs('products.index') ? 'active' : ''); ?>"
                            href="<?php echo e(route('products.index')); ?>">Produtos</a>
                    </li>

                    <li class="nav-item">
                        <a class="btn text-bg-warning me-2 <?php echo e(request()->routeIs('promocoes') ? 'active' : ''); ?>"
                            href="<?php echo e(route('promocoes')); ?>">Promoções</a>
                    </li>

                    <li class="nav-item">
                        <a class="btn text-bg-warning me-2 <?php echo e(request()->routeIs('contato') ? 'active' : ''); ?>"
                            href="<?php echo e(route('fale_conosco')); ?>">Contato</a>
                    </li>

                    <!-- Exibe menu de admin se o usuário for um administrador -->
                    <?php if(Auth::check() && Auth::user()->role === 'admin'): ?>
                        <li class="nav-item dropdown">
                            <a class="btn text-bg-warning dropdown-toggle me-2 <?php echo e(request()->routeIs('admin.*') ? 'active' : ''); ?>"
                                href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown"
                                aria-expanded="false">
                                Administrador
                            </a>
                            <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                                <li><a class="dropdown-item <?php echo e(request()->routeIs('admin.dashboard') ? 'active' : ''); ?>"
                                        href="<?php echo e(route('admin.dashboard')); ?>">Painel do Admin</a></li>
                                <li><a class="dropdown-item <?php echo e(request()->routeIs('products.create') ? 'active' : ''); ?>"
                                        href="<?php echo e(route('products.create')); ?>">Cadastrar Produto</a></li>
                                <li><a class="dropdown-item <?php echo e(request()->routeIs('admin.accounts') ? 'active' : ''); ?>"
                                        href="<?php echo e(route('admin.accounts')); ?>">Gerenciar Contas</a></li>
                                <li><a class="dropdown-item <?php echo e(request()->routeIs('itens_vendas.index') ? 'active' : ''); ?>"
                                        href="<?php echo e(route('itens_vendas.index')); ?>">Itens Vendas</a></li>
                                <li><a class="dropdown-item <?php echo e(request()->routeIs('promocao') ? 'active' : ''); ?>"
                                        href="<?php echo e(route('promocao')); ?>">Promoçoes</a></li>
                            </ul>
                        </li>
                    <?php endif; ?>
                </ul>
            </div>


            <div class="d-flex justify-content-end w-100 align-items-center">
                <!-- Barra de Pesquisa -->
                <form class="d-flex me-3">
                    <input class="form-control me-2 search-bar" type="search" placeholder="Buscar produtos..."
                        aria-label="Search">
                    <button class="btn text-bg-success" type="submit">Buscar</button>
                </form>

                <!-- Ícone do Carrinho de Compras -->
                <a href="<?php echo e(route('cart.index')); ?>" class="icon-btn position-relative" title="Carrinho de Compras">
                    <ion-icon name="cart" class="icon-size"></ion-icon>
                    <span class="position-absolute top-0 start-100 translate-middle badge rounded-pill bg-danger">
                        <?php echo e($cartItemCount); ?>

                    </span>
                </a>

                <!-- Formulário para sair -->
                <?php if(Auth::check()): ?>
                    <li class="nav-item">
                        <form action="<?php echo e(route('logout')); ?>" method="POST" style="display: inline;">
                            <?php echo csrf_field(); ?>
                            <button type="submit" class="btn btn-outline-success">Sair</button>
                        </form>
                    </li>
                <?php else: ?>
                    <li class="nav-item" style="text-decoration: none;"><a class="btn  text-bg-warning"
                            href="<?php echo e(route('login')); ?>">Entrar</a>
                    </li>
                    <li class="nav-item"><a class="btn  text-bg-warning" href="<?php echo e(route('register')); ?>">Registrar</a>
                    </li>
                <?php endif; ?>
            </div>
        </div>
    </nav>





    <?php echo $__env->yieldContent('content'); ?>
</body>

</html>

<?php echo $__env->make('layouts.css', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\wamp64\www\ecommerce\resources\views/layouts/app.blade.php ENDPATH**/ ?>